<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Url Shortener</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container">
    <form method="post" id="from_full_to_shorten">
        Full url: <input id="full_url">
        <input type="submit">
    </form>

    <br><br>
    Shorten url: <input name="shorten_url" id="shorten_url">
    <br>
    Redirect via shorten url <input type="button" value="redirect" onclick="redirectToFull()">
</div>
<script>
    let formElem = document.getElementById("from_full_to_shorten");
    formElem.onsubmit = async (e) => {
        e.preventDefault();

        let url = document.getElementById('full_url').value;
        let data = {
            fullUrl: url
        };

        fetch('http://localhost:8080/url-shortener/create', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(data)
        })
            .then(results => results.json())
            .then(jsonResult => {
                document.getElementById('shorten_url').value = jsonResult['shortenUrl'];
            });
    }

    function redirectToFull() {
        let url = 'http://localhost:8080/url-shortener/retrieve/' + document.getElementById('shorten_url').value;
        fetch(url, {
            method: 'GET',
            headers: {
                'Content-Type': 'application/json'
            }
        })
            .then(results => results.json())
            .then(jsonResult => {
                location.href = jsonResult['fullUrl'];
            });
    }
</script>
</body>
</html>
